Update an existing channel endpoint by its unique identifier.
PATCH
/
v1
/
channel-endpoints
/
{identifier}
Go
package main
import(
"context"
"github.com/novuhq/novu-go/v3"
"github.com/novuhq/novu-go/v3/models/components"
"log"
)
func main() {
ctx := context.Background()
s := v3.New(
v3.WithSecurity("YOUR_SECRET_KEY_HERE"),
)
res, err := s.ChannelEndpoints.Update(ctx, "<value>", components.UpdateChannelEndpointRequestDto{
Endpoint: components.CreateUpdateChannelEndpointRequestDtoEndpointSlackUserEndpointDto(
components.SlackUserEndpointDto{
UserID: "U123456789",
},
),
}, nil)
if err != nil {
log.Fatal(err)
}
if res.GetChannelEndpointResponseDto != nil {
switch res.GetChannelEndpointResponseDto.Endpoint.Type {
case components.EndpointTypeSlackChannelEndpointDto:
// res.GetChannelEndpointResponseDto.Endpoint.SlackChannelEndpointDto is populated
case components.EndpointTypeSlackUserEndpointDto:
// res.GetChannelEndpointResponseDto.Endpoint.SlackUserEndpointDto is populated
case components.EndpointTypeWebhookEndpointDto:
// res.GetChannelEndpointResponseDto.Endpoint.WebhookEndpointDto is populated
case components.EndpointTypePhoneEndpointDto:
// res.GetChannelEndpointResponseDto.Endpoint.PhoneEndpointDto is populated
case components.EndpointTypeMsTeamsChannelEndpointDto:
// res.GetChannelEndpointResponseDto.Endpoint.MsTeamsChannelEndpointDto is populated
case components.EndpointTypeMsTeamsUserEndpointDto:
// res.GetChannelEndpointResponseDto.Endpoint.MsTeamsUserEndpointDto is populated
case components.EndpointTypeTelegramChatEndpointDto:
// res.GetChannelEndpointResponseDto.Endpoint.TelegramChatEndpointDto is populated
case components.EndpointTypeWebexRoomEndpointDto:
// res.GetChannelEndpointResponseDto.Endpoint.WebexRoomEndpointDto is populated
case components.EndpointTypeWebexPersonEndpointDto:
// res.GetChannelEndpointResponseDto.Endpoint.WebexPersonEndpointDto is populated
case components.EndpointTypeLineUserEndpointDto:
// res.GetChannelEndpointResponseDto.Endpoint.LineUserEndpointDto is populated
case components.EndpointTypePagerDutyServiceEndpointDto:
// res.GetChannelEndpointResponseDto.Endpoint.PagerDutyServiceEndpointDto is populated
case components.EndpointTypeOpsgenieIntegrationEndpointDto:
// res.GetChannelEndpointResponseDto.Endpoint.OpsgenieIntegrationEndpointDto is populated
case components.EndpointTypeGrafanaOnCallIntegrationEndpointDto:
// res.GetChannelEndpointResponseDto.Endpoint.GrafanaOnCallIntegrationEndpointDto is populated
case components.EndpointTypeToolWebhookEndpointDto:
// res.GetChannelEndpointResponseDto.Endpoint.ToolWebhookEndpointDto is populated
}
}
}
import { Novu } from "@novu/api";
const novu = new Novu({
secretKey: "YOUR_SECRET_KEY_HERE",
});
async function run() {
const result = await novu.channelEndpoints.update({
endpoint: {
userId: "U123456789",
},
}, "<value>");
console.log(result);
}
run();
using Novu;
using Novu.Models.Components;
var sdk = new NovuSDK(secretKey: "YOUR_SECRET_KEY_HERE");
var res = await sdk.ChannelEndpoints.UpdateAsync(
identifier: "<value>",
updateChannelEndpointRequestDto: new UpdateChannelEndpointRequestDto() {
Endpoint = UpdateChannelEndpointRequestDtoEndpoint.CreateSlackUserEndpointDto(
new SlackUserEndpointDto() {
UserId = "U123456789",
}
),
}
);
// handle response
declare(strict_types=1);
require 'vendor/autoload.php';
use novu;
use novu\Models\Components;
$sdk = novu\Novu::builder()
->setSecurity(
'YOUR_SECRET_KEY_HERE'
)
->build();
$updateChannelEndpointRequestDto = new Components\UpdateChannelEndpointRequestDto(
endpoint: new Components\SlackUserEndpointDto(
userId: 'U123456789',
),
);
$response = $sdk->channelEndpoints->update(
identifier: '<value>',
updateChannelEndpointRequestDto: $updateChannelEndpointRequestDto
);
if ($response->getChannelEndpointResponseDto !== null) {
// handle response
}
from novu_py import Novu
with Novu(
secret_key="YOUR_SECRET_KEY_HERE",
) as novu:
res = novu.channel_endpoints.update(identifier="<value>", update_channel_endpoint_request_dto={
"endpoint": {
"user_id": "U123456789",
},
})
# Handle response
print(res)
Update an existing channel endpoint. Pass only the fields you want to change inside endpoint (and optional top-level fields such as context where supported).
package main
import(
"context"
"github.com/novuhq/novu-go/v3"
"github.com/novuhq/novu-go/v3/models/components"
"log"
)
func main() {
ctx := context.Background()
s := v3.New(
v3.WithSecurity("YOUR_SECRET_KEY_HERE"),
)
res, err := s.ChannelEndpoints.Update(ctx, "<value>", components.UpdateChannelEndpointRequestDto{
Endpoint: components.CreateUpdateChannelEndpointRequestDtoEndpointSlackUserEndpointDto(
components.SlackUserEndpointDto{
UserID: "U123456789",
},
),
}, nil)
if err != nil {
log.Fatal(err)
}
if res.GetChannelEndpointResponseDto != nil {
switch res.GetChannelEndpointResponseDto.Endpoint.Type {
case components.EndpointTypeSlackChannelEndpointDto:
// res.GetChannelEndpointResponseDto.Endpoint.SlackChannelEndpointDto is populated
case components.EndpointTypeSlackUserEndpointDto:
// res.GetChannelEndpointResponseDto.Endpoint.SlackUserEndpointDto is populated
case components.EndpointTypeWebhookEndpointDto:
// res.GetChannelEndpointResponseDto.Endpoint.WebhookEndpointDto is populated
case components.EndpointTypePhoneEndpointDto:
// res.GetChannelEndpointResponseDto.Endpoint.PhoneEndpointDto is populated
case components.EndpointTypeMsTeamsChannelEndpointDto:
// res.GetChannelEndpointResponseDto.Endpoint.MsTeamsChannelEndpointDto is populated
case components.EndpointTypeMsTeamsUserEndpointDto:
// res.GetChannelEndpointResponseDto.Endpoint.MsTeamsUserEndpointDto is populated
case components.EndpointTypeTelegramChatEndpointDto:
// res.GetChannelEndpointResponseDto.Endpoint.TelegramChatEndpointDto is populated
case components.EndpointTypeWebexRoomEndpointDto:
// res.GetChannelEndpointResponseDto.Endpoint.WebexRoomEndpointDto is populated
case components.EndpointTypeWebexPersonEndpointDto:
// res.GetChannelEndpointResponseDto.Endpoint.WebexPersonEndpointDto is populated
case components.EndpointTypeLineUserEndpointDto:
// res.GetChannelEndpointResponseDto.Endpoint.LineUserEndpointDto is populated
case components.EndpointTypePagerDutyServiceEndpointDto:
// res.GetChannelEndpointResponseDto.Endpoint.PagerDutyServiceEndpointDto is populated
case components.EndpointTypeOpsgenieIntegrationEndpointDto:
// res.GetChannelEndpointResponseDto.Endpoint.OpsgenieIntegrationEndpointDto is populated
case components.EndpointTypeGrafanaOnCallIntegrationEndpointDto:
// res.GetChannelEndpointResponseDto.Endpoint.GrafanaOnCallIntegrationEndpointDto is populated
case components.EndpointTypeToolWebhookEndpointDto:
// res.GetChannelEndpointResponseDto.Endpoint.ToolWebhookEndpointDto is populated
}
}
}
import { Novu } from "@novu/api";
const novu = new Novu({
secretKey: "YOUR_SECRET_KEY_HERE",
});
async function run() {
const result = await novu.channelEndpoints.update({
endpoint: {
userId: "U123456789",
},
}, "<value>");
console.log(result);
}
run();
using Novu;
using Novu.Models.Components;
var sdk = new NovuSDK(secretKey: "YOUR_SECRET_KEY_HERE");
var res = await sdk.ChannelEndpoints.UpdateAsync(
identifier: "<value>",
updateChannelEndpointRequestDto: new UpdateChannelEndpointRequestDto() {
Endpoint = UpdateChannelEndpointRequestDtoEndpoint.CreateSlackUserEndpointDto(
new SlackUserEndpointDto() {
UserId = "U123456789",
}
),
}
);
// handle response
declare(strict_types=1);
require 'vendor/autoload.php';
use novu;
use novu\Models\Components;
$sdk = novu\Novu::builder()
->setSecurity(
'YOUR_SECRET_KEY_HERE'
)
->build();
$updateChannelEndpointRequestDto = new Components\UpdateChannelEndpointRequestDto(
endpoint: new Components\SlackUserEndpointDto(
userId: 'U123456789',
),
);
$response = $sdk->channelEndpoints->update(
identifier: '<value>',
updateChannelEndpointRequestDto: $updateChannelEndpointRequestDto
);
if ($response->getChannelEndpointResponseDto !== null) {
// handle response
}
from novu_py import Novu
with Novu(
secret_key="YOUR_SECRET_KEY_HERE",
) as novu:
res = novu.channel_endpoints.update(identifier="<value>", update_channel_endpoint_request_dto={
"endpoint": {
"user_id": "U123456789",
},
})
# Handle response
print(res)
{"docsConfig":{"theme":"luma","$schema":"https://mintlify.com/docs.json","name":"Novu","description":"The open-source notification infrastructure for agents and products. Send, receive, and track notifications across channels.","colors":{"primary":"#0e121b","light":"#FFFFFF","dark":"#FFFFFF"},"logo":{"light":"https://mintcdn.com/novu-c5de82d9/2Q_L4HxwUfLmJjB8/logo/light.svg?fit=max\u0026auto=format\u0026n=2Q_L4HxwUfLmJjB8\u0026q=85\u0026s=23e7050191303b6a0ac4a671dfed8df4","dark":"https://mintcdn.com/novu-c5de82d9/2Q_L4HxwUfLmJjB8/logo/dark.svg?fit=max\u0026auto=format\u0026n=2Q_L4HxwUfLmJjB8\u0026q=85\u0026s=bd7c54f6b7a7b5002ea7b525af3e169c","href":"https://docs.novu.co"},"favicon":"https://mintcdn.com/novu-c5de82d9/ZUl3xXp-4AASlrcI/favicon.svg?fit=max\u0026auto=format\u0026n=ZUl3xXp-4AASlrcI\u0026q=85\u0026s=b53c3afb6a8eaf11aff9db2c5d3f05a1","api":{"openapi":"https://spec.speakeasy.com/novu/novu/json-development-with-code-samples","examples":{"prefill":true}},"background":{},"navbar":{"links":[{"href":"https://novu.co/contact-us","label":"Contact Us"}],"primary":{"type":"button","label":"Get Started","href":"https://dashboard.novu.co/auth/sign-up"}},"footer":{"socials":{"x":"https://x.com/novuhq","github":"https://github.com/novuhq/novu","linkedin":"https://www.linkedin.com/company/novuco"},"links":[{"header":"Comparison","items":[{"label":"Novu vs Courier","href":"https://novu.co/comparison/courier"},{"label":"Novu vs Knock","href":"https://novu.co/comparison/knock"},{"label":"Novu vs MagicBell","href":"https://novu.co/comparison/magicbell"},{"label":"Novu vs SuprSend","href":"https://novu.co/comparison/suprsend"},{"label":"Novu vs In-house","href":"https://novu.co/comparison/building-in-house"}]},{"header":"Resources","items":[{"label":"Contact Support","href":"mailto:support@novu.co"},{"label":"Changelog","href":"https://go.novu.co/changelog?utm_source=docs_footer"},{"label":"Roadmap","href":"https://roadmap.novu.co/roadmap"},{"label":"Contact Sales","href":"https://novu.co/contact-us"},{"label":"Read llms.txt","href":"/llms.txt"}]}]},"seo":{"metatags":{"og:type":"website","twitter:card":"summary_large_image"},"indexing":"all"},"icons":{"library":"lucide"},"integrations":{"gtm":{"tagId":"GTM-KXMC4XP2"},"plausible":{"domain":"docs.novu.co"}},"contextual":{"options":["copy","view","cursor","claude","chatgpt","mcp","add-mcp"],"display":"header"},"thumbnails":{"appearance":"dark","background":"https://mintcdn.com/novu-c5de82d9/vncv7ET97M5-dM6d/images/og/og-image-docs-v2.jpg?fit=max\u0026auto=format\u0026n=vncv7ET97M5-dM6d\u0026q=85\u0026s=26b59f5c597b5b1bea44cbc57cad5e3a","fonts":{"family":"Inter"}},"interaction":{"drilldown":true},"styling":{"latex":false},"navigation":{"global":{"anchors":[]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"novu-c5de82d9","hasAudioNarration":false,"actualSubdomain":"novu-c5de82d9","customDomains":["docs.novu.co"],"gitSource":{"type":"github","owner":"novuhq","repo":"novu","deployBranch":"next","contentDirectory":"docs","isPrivate":false,"mountPath":"","label":""},"chroma":{"collectionId":"313ea6a7-dc00-4182-b4a8-2d4cea7d9086","liveDeploymentHistoryId":"6ae2023c201cdb70a5227b24","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae2023c201cdb70a5227b24"},"feedback":{"thumbs":true,"edits":true,"issues":true,"agentFeedback":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"}},"buildId":"6ae2023c201cdb70a5227b24","clientVersion":"0.0.4021","searchFilterCounts":[{"language":"default","tag":"Notify","count":217},{"language":"default","tag":"API Reference","count":160},{"language":"default","tag":"Resources","count":107},{"language":"default","tag":"Integrate Channels Providers","count":93},{"language":"default","tag":"Guides","count":86},{"language":"default","tag":"Data","count":63},{"language":"default","tag":"Getting Started","count":62},{"language":"default","tag":"Framework","count":52},{"language":"default","tag":"Agent Connect","count":41},{"language":"default","tag":"Sms","count":38}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":true,"enableContextualStarterQuestions":true,"enableAskAiSearchBar":true,"deflection":{"enabled":true,"email":"support@novu.co","showHelpButton":true}},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"pause-universal-search-reconcile","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":"@media (min-width:1024px){#sidebar-content{width:16rem;min-width:16rem;max-width:16rem}}body:has(#home-content) nav[aria-label=Main] a[aria-current=location]{background:0 0!important;color:rgb(75 85 99)}html.dark body:has(#home-content) nav[aria-label=Main] a[aria-current=location]{color:rgb(156 163 175)}body:has(#home-content) nav[aria-label=Main] a[aria-current=location]:hover{background:rgb(3 7 18/.03)!important;color:rgb(17 24 39)}html.dark body:has(#home-content) nav[aria-label=Main] a[aria-current=location]:hover{background:rgb(255 255 255/.03)!important;color:rgb(229 231 235)}#home-content .hero-cards{margin-top:1.5rem}#home-content .card [data-component-part=card-image]{width:107.5%;max-width:none;margin:-3.75% -3.75% 0}"}],"page":{"pagePath":"api-reference/channel-endpoints/update-a-channel-endpoint","slug":"/api-reference/channel-endpoints/update-a-channel-endpoint","pageMetadata":{"title":"Update a channel endpoint","openapi":"PATCH /v1/channel-endpoints/{identifier}","description":"Update an existing channel endpoint by its unique identifier.","href":"/api-reference/channel-endpoints/update-a-channel-endpoint"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Update an existing channel endpoint by its unique identifier.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,p:`p`,pre:`pre`,span:`span`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,..._provideComponents(),...props.components},{CodeBlock,Heading,Table}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Table)_missingMdxReference(`Table`,true);return _jsxs(_Fragment,{children:[_jsxs(_components.p,{children:[`Update an existing channel endpoint. Pass only the fields you want to change inside `,_jsx(_components.code,{children:`endpoint`}),` (and optional top-level fields such as `,_jsx(_components.code,{children:`context`}),` where supported).`]}),`\n`,_jsxs(Heading,{level:`2`,id:`tool_webhook-variant`,children:[_jsx(_components.code,{children:`tool_webhook`}),` variant`]}),`\n`,_jsx(_components.p,{children:`Rotate a subscriber’s callback URL, headers, or HTTP method without recreating the endpoint:`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`10`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`10`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -L`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -X`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` PATCH`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'https://api.novu.co/v1/channel-endpoints/\u003cENDPOINT_IDENTIFIER>'`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`-H `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'Content-Type: application/json'`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`-H `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'Authorization: ApiKey \u003cNOVU_SECRET_KEY>'`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`-d `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'{`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"endpoint\": {`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"url\": \"https://customer.example.com/hooks/novu-v2\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"headers\": { \"Authorization\": \"Bearer rotated-token\" },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"method\": \"POST\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`}'`})}),`\n`]})})}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Field`}),_jsx(_components.th,{children:`Type`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`endpoint.url`})}),_jsx(_components.td,{children:_jsx(_components.code,{children:`string`})}),_jsxs(_components.td,{children:[`New destination URL (`,_jsx(_components.code,{children:`http:`}),` or `,_jsx(_components.code,{children:`https:`}),`). Re-encrypted on the linked connection.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`endpoint.headers`})}),_jsx(_components.td,{children:_jsx(_components.code,{children:`Record\u003cstring, string>`})}),_jsx(_components.td,{children:`Optional. Replaces the stored header map for this endpoint.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`endpoint.method`})}),_jsx(_components.td,{children:_jsx(_components.code,{children:`\"POST\" | \"PUT\" | \"PATCH\"`})}),_jsx(_components.td,{children:`Optional. New HTTP method override for this endpoint.`})]})]})]}),`\n`,_jsxs(_components.p,{children:[`The response re-hydrates the full wire shape (including decrypted `,_jsx(_components.code,{children:`url`}),`, `,_jsx(_components.code,{children:`headers`}),`, and `,_jsx(_components.code,{children:`method`}),`) from the linked channel connection.`]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Update a channel endpoint","openapi":"PATCH /v1/channel-endpoints/{identifier}","description":"Update an existing channel endpoint by its unique identifier.","href":"/api-reference/channel-endpoints/update-a-channel-endpoint"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"tool_webhook variant","slug":"tool_webhook-variant","depth":2,"children":[]}],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"operationId":"ChannelEndpointsController_updateChannelEndpoint","x-speakeasy-name-override":"update","summary":"Update a channel endpoint","description":"Update an existing channel endpoint by its unique identifier.","parameters":["b40c9879-ab34-458e-84d7-2eef495dc7fe","78ca3736-8264-48a3-9ade-531ebba98bc3"],"requestBody":"1bfd2d8a-2784-44da-b612-82eec10117e6","responses":{"200":"1bdd342a-9d97-4951-8f30-f15a04f6e905","400":"975fd0c4-9559-41db-9002-96cc41c95df6","401":"7112b99e-d224-4dbe-be44-048a6ac152b4","403":"444dfd48-5f0f-4f07-9003-f484ca13b33b","404":"e93cfb9e-1b36-4861-9bc3-61097090a3e6","405":"4ced8816-af56-4f7c-bf49-ea98818c25da","409":"cb40695c-344d-478d-9814-a62eb64ff170","413":"c00df5b2-a58d-4083-8567-1ce79a414b8a","414":"95c8fc31-865c-4b94-8f98-8014dabc1881","415":"a8f5dd12-abe2-4509-914e-d7f480302605","422":"4c389a7d-8b91-45a8-9468-329c6282deae","429":"cc10b6fa-7dea-41f4-8f6f-83cb8c494798","500":"15c070fa-3771-4f95-95de-e613edf7901b","503":"0d8eabaa-7447-42c6-863c-aea6375795d5"},"tags":["Channel Endpoints"],"security":["34b73042-fa81-492e-9294-03af0984e5ab","dd495747-d9c8-4433-97d1-9e645cd09505"],"x-codeSamples":[{"lang":"go","label":"Go","source":"package main\n\nimport(\n\t\"context\"\n\t\"github.com/novuhq/novu-go/v3\"\n\t\"github.com/novuhq/novu-go/v3/models/components\"\n\t\"log\"\n)\n\nfunc main() {\n ctx := context.Background()\n\n s := v3.New(\n v3.WithSecurity(\"YOUR_SECRET_KEY_HERE\"),\n )\n\n res, err := s.ChannelEndpoints.Update(ctx, \"\u003cvalue>\", components.UpdateChannelEndpointRequestDto{\n Endpoint: components.CreateUpdateChannelEndpointRequestDtoEndpointSlackUserEndpointDto(\n components.SlackUserEndpointDto{\n UserID: \"U123456789\",\n },\n ),\n }, nil)\n if err != nil {\n log.Fatal(err)\n }\n if res.GetChannelEndpointResponseDto != nil {\n switch res.GetChannelEndpointResponseDto.Endpoint.Type {\n case components.EndpointTypeSlackChannelEndpointDto:\n // res.GetChannelEndpointResponseDto.Endpoint.SlackChannelEndpointDto is populated\n case components.EndpointTypeSlackUserEndpointDto:\n // res.GetChannelEndpointResponseDto.Endpoint.SlackUserEndpointDto is populated\n case components.EndpointTypeWebhookEndpointDto:\n // res.GetChannelEndpointResponseDto.Endpoint.WebhookEndpointDto is populated\n case components.EndpointTypePhoneEndpointDto:\n // res.GetChannelEndpointResponseDto.Endpoint.PhoneEndpointDto is populated\n case components.EndpointTypeMsTeamsChannelEndpointDto:\n // res.GetChannelEndpointResponseDto.Endpoint.MsTeamsChannelEndpointDto is populated\n case components.EndpointTypeMsTeamsUserEndpointDto:\n // res.GetChannelEndpointResponseDto.Endpoint.MsTeamsUserEndpointDto is populated\n case components.EndpointTypeTelegramChatEndpointDto:\n // res.GetChannelEndpointResponseDto.Endpoint.TelegramChatEndpointDto is populated\n case components.EndpointTypeWebexRoomEndpointDto:\n // res.GetChannelEndpointResponseDto.Endpoint.WebexRoomEndpointDto is populated\n case components.EndpointTypeWebexPersonEndpointDto:\n // res.GetChannelEndpointResponseDto.Endpoint.WebexPersonEndpointDto is populated\n case components.EndpointTypeLineUserEndpointDto:\n // res.GetChannelEndpointResponseDto.Endpoint.LineUserEndpointDto is populated\n case components.EndpointTypePagerDutyServiceEndpointDto:\n // res.GetChannelEndpointResponseDto.Endpoint.PagerDutyServiceEndpointDto is populated\n case components.EndpointTypeOpsgenieIntegrationEndpointDto:\n // res.GetChannelEndpointResponseDto.Endpoint.OpsgenieIntegrationEndpointDto is populated\n case components.EndpointTypeGrafanaOnCallIntegrationEndpointDto:\n // res.GetChannelEndpointResponseDto.Endpoint.GrafanaOnCallIntegrationEndpointDto is populated\n case components.EndpointTypeToolWebhookEndpointDto:\n // res.GetChannelEndpointResponseDto.Endpoint.ToolWebhookEndpointDto is populated\n }\n\n }\n}"},{"lang":"typescript","label":"TypeScript","source":"import { Novu } from \"@novu/api\";\n\nconst novu = new Novu({\n secretKey: \"YOUR_SECRET_KEY_HERE\",\n});\n\nasync function run() {\n const result = await novu.channelEndpoints.update({\n endpoint: {\n userId: \"U123456789\",\n },\n }, \"\u003cvalue>\");\n\n console.log(result);\n}\n\nrun();"},{"lang":"csharp","label":"Csharp (SDK)","source":"using Novu;\nusing Novu.Models.Components;\n\nvar sdk = new NovuSDK(secretKey: \"YOUR_SECRET_KEY_HERE\");\n\nvar res = await sdk.ChannelEndpoints.UpdateAsync(\n identifier: \"\u003cvalue>\",\n updateChannelEndpointRequestDto: new UpdateChannelEndpointRequestDto() {\n Endpoint = UpdateChannelEndpointRequestDtoEndpoint.CreateSlackUserEndpointDto(\n new SlackUserEndpointDto() {\n UserId = \"U123456789\",\n }\n ),\n }\n);\n\n// handle response"},{"lang":"php","label":"PHP","source":"declare(strict_types=1);\n\nrequire 'vendor/autoload.php';\n\nuse novu;\nuse novu\\Models\\Components;\n\n$sdk = novu\\Novu::builder()\n ->setSecurity(\n 'YOUR_SECRET_KEY_HERE'\n )\n ->build();\n\n$updateChannelEndpointRequestDto = new Components\\UpdateChannelEndpointRequestDto(\n endpoint: new Components\\SlackUserEndpointDto(\n userId: 'U123456789',\n ),\n);\n\n$response = $sdk->channelEndpoints->update(\n identifier: '\u003cvalue>',\n updateChannelEndpointRequestDto: $updateChannelEndpointRequestDto\n\n);\n\nif ($response->getChannelEndpointResponseDto !== null) {\n // handle response\n}"},{"lang":"python","label":"Python","source":"from novu_py import Novu\n\n\nwith Novu(\n secret_key=\"YOUR_SECRET_KEY_HERE\",\n) as novu:\n\n res = novu.channel_endpoints.update(identifier=\"\u003cvalue>\", update_channel_endpoint_request_dto={\n \"endpoint\": {\n \"user_id\": \"U123456789\",\n },\n })\n\n # Handle response\n print(res)"}],"method":"patch","type":"path","servers":["29cc13d7-64c7-40f9-8a35-9c01537b78f4","7588375a-aa7e-462d-a5bf-d94b8564f985"],"path":"/v1/channel-endpoints/{identifier}","baseUrlOptions":["https://api.novu.co","https://eu.api.novu.co"],"title":"Update a channel endpoint","codeSamples":[{"label":"Go","lang":"go","source":"package main\n\nimport(\n\t\"context\"\n\t\"github.com/novuhq/novu-go/v3\"\n\t\"github.com/novuhq/novu-go/v3/models/components\"\n\t\"log\"\n)\n\nfunc main() {\n ctx := context.Background()\n\n s := v3.New(\n v3.WithSecurity(\"YOUR_SECRET_KEY_HERE\"),\n )\n\n res, err := s.ChannelEndpoints.Update(ctx, \"\u003cvalue>\", components.UpdateChannelEndpointRequestDto{\n Endpoint: components.CreateUpdateChannelEndpointRequestDtoEndpointSlackUserEndpointDto(\n components.SlackUserEndpointDto{\n UserID: \"U123456789\",\n },\n ),\n }, nil)\n if err != nil {\n log.Fatal(err)\n }\n if res.GetChannelEndpointResponseDto != nil {\n switch res.GetChannelEndpointResponseDto.Endpoint.Type {\n case components.EndpointTypeSlackChannelEndpointDto:\n // res.GetChannelEndpointResponseDto.Endpoint.SlackChannelEndpointDto is populated\n case components.EndpointTypeSlackUserEndpointDto:\n // res.GetChannelEndpointResponseDto.Endpoint.SlackUserEndpointDto is populated\n case components.EndpointTypeWebhookEndpointDto:\n // res.GetChannelEndpointResponseDto.Endpoint.WebhookEndpointDto is populated\n case components.EndpointTypePhoneEndpointDto:\n // res.GetChannelEndpointResponseDto.Endpoint.PhoneEndpointDto is populated\n case components.EndpointTypeMsTeamsChannelEndpointDto:\n // res.GetChannelEndpointResponseDto.Endpoint.MsTeamsChannelEndpointDto is populated\n case components.EndpointTypeMsTeamsUserEndpointDto:\n // res.GetChannelEndpointResponseDto.Endpoint.MsTeamsUserEndpointDto is populated\n case components.EndpointTypeTelegramChatEndpointDto:\n // res.GetChannelEndpointResponseDto.Endpoint.TelegramChatEndpointDto is populated\n case components.EndpointTypeWebexRoomEndpointDto:\n // res.GetChannelEndpointResponseDto.Endpoint.WebexRoomEndpointDto is populated\n case components.EndpointTypeWebexPersonEndpointDto:\n // res.GetChannelEndpointResponseDto.Endpoint.WebexPersonEndpointDto is populated\n case components.EndpointTypeLineUserEndpointDto:\n // res.GetChannelEndpointResponseDto.Endpoint.LineUserEndpointDto is populated\n case components.EndpointTypePagerDutyServiceEndpointDto:\n // res.GetChannelEndpointResponseDto.Endpoint.PagerDutyServiceEndpointDto is populated\n case components.EndpointTypeOpsgenieIntegrationEndpointDto:\n // res.GetChannelEndpointResponseDto.Endpoint.OpsgenieIntegrationEndpointDto is populated\n case components.EndpointTypeGrafanaOnCallIntegrationEndpointDto:\n // res.GetChannelEndpointResponseDto.Endpoint.GrafanaOnCallIntegrationEndpointDto is populated\n case components.EndpointTypeToolWebhookEndpointDto:\n // res.GetChannelEndpointResponseDto.Endpoint.ToolWebhookEndpointDto is populated\n }\n\n }\n}"},{"label":"TypeScript","lang":"typescript","source":"import { Novu } from \"@novu/api\";\n\nconst novu = new Novu({\n secretKey: \"YOUR_SECRET_KEY_HERE\",\n});\n\nasync function run() {\n const result = await novu.channelEndpoints.update({\n endpoint: {\n userId: \"U123456789\",\n },\n }, \"\u003cvalue>\");\n\n console.log(result);\n}\n\nrun();"},{"label":"Csharp (SDK)","lang":"csharp","source":"using Novu;\nusing Novu.Models.Components;\n\nvar sdk = new NovuSDK(secretKey: \"YOUR_SECRET_KEY_HERE\");\n\nvar res = await sdk.ChannelEndpoints.UpdateAsync(\n identifier: \"\u003cvalue>\",\n updateChannelEndpointRequestDto: new UpdateChannelEndpointRequestDto() {\n Endpoint = UpdateChannelEndpointRequestDtoEndpoint.CreateSlackUserEndpointDto(\n new SlackUserEndpointDto() {\n UserId = \"U123456789\",\n }\n ),\n }\n);\n\n// handle response"},{"label":"PHP","lang":"php","source":"declare(strict_types=1);\n\nrequire 'vendor/autoload.php';\n\nuse novu;\nuse novu\\Models\\Components;\n\n$sdk = novu\\Novu::builder()\n ->setSecurity(\n 'YOUR_SECRET_KEY_HERE'\n )\n ->build();\n\n$updateChannelEndpointRequestDto = new Components\\UpdateChannelEndpointRequestDto(\n endpoint: new Components\\SlackUserEndpointDto(\n userId: 'U123456789',\n ),\n);\n\n$response = $sdk->channelEndpoints->update(\n identifier: '\u003cvalue>',\n updateChannelEndpointRequestDto: $updateChannelEndpointRequestDto\n\n);\n\nif ($response->getChannelEndpointResponseDto !== null) {\n // handle response\n}"},{"label":"Python","lang":"python","source":"from novu_py import Novu\n\n\nwith Novu(\n secret_key=\"YOUR_SECRET_KEY_HERE\",\n) as novu:\n\n res = novu.channel_endpoints.update(identifier=\"\u003cvalue>\", update_channel_endpoint_request_dto={\n \"endpoint\": {\n \"user_id\": \"U123456789\",\n },\n })\n\n # Handle response\n print(res)"}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated","prefillPlaygroundWithExample":true,"prefillPlaygroundExamples":[{"body.endpoint.oneOf.0.channelId":"C123456789"}]},"dependencies":{"parameters":{"b40c9879-ab34-458e-84d7-2eef495dc7fe":{"name":"identifier","required":true,"in":"path","description":"The unique identifier of the channel endpoint","schema":{"type":"string","isRequired":true,"description":"The unique identifier of the channel endpoint","uniqueKey":"","typeLabel":"string"}},"78ca3736-8264-48a3-9ade-531ebba98bc3":{"name":"idempotency-key","in":"header","description":"A header for idempotency purposes","required":false,"schema":{"type":"string","isRequired":false,"description":"A header for idempotency purposes","uniqueKey":"","typeLabel":"string"}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"endpoint":{"oneOf":[{"type":"object","description":"Updated endpoint data. The structure must match the existing channel endpoint type.","required":["channelId"],"properties":{"channelId":{"type":"string","description":"Slack channel ID","example":"C123456789","isRequired":true,"uniqueKey":"endpoint.oneOf.0.channelId","typeLabel":"string"}},"isRequired":true,"uniqueKey":"endpoint.oneOf.0","typeLabel":"object"},{"type":"object","description":"Updated endpoint data. The structure must match the existing channel endpoint type.","required":["userId"],"properties":{"userId":{"type":"string","description":"Slack user ID","example":"U123456789","isRequired":true,"uniqueKey":"endpoint.oneOf.1.userId","typeLabel":"string"}},"isRequired":true,"uniqueKey":"endpoint.oneOf.1","typeLabel":"object"},{"type":"object","description":"Updated endpoint data. The structure must match the existing channel endpoint type.","required":["url"],"properties":{"url":{"type":"string","description":"Webhook URL","example":"https://example.com/webhook","isRequired":true,"uniqueKey":"endpoint.oneOf.2.url","typeLabel":"string"},"channel":{"type":"string","description":"Optional channel identifier","uniqueKey":"endpoint.oneOf.2.channel","typeLabel":"string"}},"isRequired":true,"uniqueKey":"endpoint.oneOf.2","typeLabel":"object"},{"type":"object","description":"Updated endpoint data. The structure must match the existing channel endpoint type.","required":["phoneNumber"],"properties":{"phoneNumber":{"type":"string","description":"Phone number in E.164 format","example":"+1234567890","isRequired":true,"uniqueKey":"endpoint.oneOf.3.phoneNumber","typeLabel":"string"}},"isRequired":true,"uniqueKey":"endpoint.oneOf.3","typeLabel":"object"},{"type":"object","description":"Updated endpoint data. The structure must match the existing channel endpoint type.","required":["roomId"],"properties":{"roomId":{"type":"string","description":"Webex room ID","example":"Y2lzY29zcGFyazovL3VzL1JPT00v...","isRequired":true,"uniqueKey":"endpoint.oneOf.4.roomId","typeLabel":"string"},"parentId":{"type":"string","description":"Optional Webex parent message ID for threaded replies","example":"Y2lzY29zcGFyazovL3VzL01FU1NBR0Uv...","uniqueKey":"endpoint.oneOf.4.parentId","typeLabel":"string"}},"isRequired":true,"uniqueKey":"endpoint.oneOf.4","typeLabel":"object"},{"type":"object","description":"Updated endpoint data. The structure must match the existing channel endpoint type.","properties":{"personId":{"type":"string","description":"Webex person ID. Provide exactly one of personId or personEmail.","example":"Y2lzY29zcGFyazovL3VzL1BFT1BMRS8...","uniqueKey":"endpoint.oneOf.5.personId","typeLabel":"string"},"personEmail":{"type":"string","description":"Webex person email. Provide exactly one of personId or personEmail.","example":"user@example.com","uniqueKey":"endpoint.oneOf.5.personEmail","typeLabel":"string"}},"isRequired":true,"uniqueKey":"endpoint.oneOf.5","typeLabel":"object"},{"type":"object","description":"Updated endpoint data. The structure must match the existing channel endpoint type.","required":["url"],"properties":{"url":{"type":"string","description":"Destination webhook URL (often a per-subscriber capability URL). Encrypted at rest on the channel endpoint (`endpoint` field).","example":"https://example.com/tools/incoming","isRequired":true,"uniqueKey":"endpoint.oneOf.6.url","typeLabel":"string"},"headers":{"type":"object","description":"Optional headers (e.g. auth tokens) sent with every request to this webhook. Header values are encrypted at rest on the channel endpoint (`endpoint` field).","example":{"Authorization":"Bearer \u003ctoken>"},"uniqueKey":"endpoint.oneOf.6.headers","typeLabel":"object"},"method":{"type":"string","description":"Optional HTTP method override for this webhook. Defaults to the integration-level method.","enum":["POST","PUT","PATCH"],"example":"POST","uniqueKey":"endpoint.oneOf.6.method","typeLabel":"enum\u003cstring>"}},"isRequired":true,"uniqueKey":"endpoint.oneOf.6","typeLabel":"object"}],"isRequired":true,"uniqueKey":"endpoint","typeLabel":"object"}},"required":["endpoint"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"endpoint":{"channelId":"C123456789"}}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"1bdd342a-9d97-4951-8f30-f15a04f6e905":{"description":"OK","headers":{"Content-Type":{"required":true,"description":"The MIME type of the response body.","schema":{"type":"string"},"example":"application/json"},"RateLimit-Limit":{"required":false,"description":"The number of requests that the client is permitted to make per second. The actual maximum may differ when burst is enabled.","schema":{"type":"string"},"example":"100"},"RateLimit-Remaining":{"required":false,"description":"The number of requests remaining until the next window.","schema":{"type":"string"},"example":"93"},"RateLimit-Reset":{"required":false,"description":"The remaining seconds until a request of the same cost will be refreshed.","schema":{"type":"string"},"example":"8"},"RateLimit-Policy":{"required":false,"description":"The rate limit policy that was used to evaluate the request.","schema":{"type":"string"},"example":"100;w=1;burst=110;comment=\"token bucket\";category=\"trigger\";cost=\"single\""},"Idempotency-Key":{"required":false,"description":"The idempotency key used to evaluate the request.","schema":{"type":"string"},"example":"8"},"Idempotency-Replay":{"required":false,"description":"Whether the request was a replay of a previous request.","schema":{"type":"string"},"example":"true"}},"content":{"application/json":{"schema":{"type":"object","properties":{"identifier":{"type":"string","description":"The unique identifier of the channel endpoint.","isRequired":true,"uniqueKey":"identifier","typeLabel":"string"},"channel":{"oneOf":[{"enum":["in_app","email","sms","chat","push","tool"],"type":"string","description":"The channel type (email, sms, push, chat, etc.).","isRequired":true,"uniqueKey":"channel.oneOf.0","typeLabel":"enum\u003cstring>"},{"enum":["in_app","email","sms","chat","push","tool"],"type":"null","description":"The channel type (email, sms, push, chat, etc.).","isRequired":true,"uniqueKey":"channel.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"channel","typeLabel":"enum\u003cstring> | null"},"providerId":{"oneOf":[{"type":"string","description":"The provider identifier (e.g., sendgrid, twilio, slack, etc.).","enum":["anypost","emailjs","mailgun","mailjet","mandrill","nodemailer","postmark","sendgrid","sendinblue","ses","netcore","infobip-email","resend","plunk","mailersend","mailtrap","clickatell","outlook365","novu-email","sparkpost","email-webhook","braze","novu-email-agent","nexmo","plivo","sms77","sms-central","sns","telnyx","twilio","gupshup","firetext","infobip-sms","burst-sms","bulk-sms","isend-sms","forty-six-elks","kannel","maqsam","termii","africas-talking","novu-sms","sendchamp","generic-sms","clicksend","bandwidth","messagebird","simpletexting","azure-sms","ring-central","brevo-sms","eazy-sms","mobishastra","afro-message","unifonic","smsmode","imedia","sinch","isendpro-sms","cm-telecom","ruach-sms","fcm","apns","expo","one-signal","pushpad","push-webhook","pusher-beams","appio","novu","slack","discord","msteams","webex-messaging","mattermost","ryver","zulip","grafana-on-call","getstream","rocket-chat","whatsapp-business","line","chat-webhook","novu-slack","telegram","sendblue","novu-web-chat","anthropic","novu-anthropic","anthropic-aws","pagerduty","opsgenie","grafana","tool-webhook"],"example":"slack","isRequired":true,"uniqueKey":"providerId.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"The provider identifier (e.g., sendgrid, twilio, slack, etc.).","enum":["anypost","emailjs","mailgun","mailjet","mandrill","nodemailer","postmark","sendgrid","sendinblue","ses","netcore","infobip-email","resend","plunk","mailersend","mailtrap","clickatell","outlook365","novu-email","sparkpost","email-webhook","braze","novu-email-agent","nexmo","plivo","sms77","sms-central","sns","telnyx","twilio","gupshup","firetext","infobip-sms","burst-sms","bulk-sms","isend-sms","forty-six-elks","kannel","maqsam","termii","africas-talking","novu-sms","sendchamp","generic-sms","clicksend","bandwidth","messagebird","simpletexting","azure-sms","ring-central","brevo-sms","eazy-sms","mobishastra","afro-message","unifonic","smsmode","imedia","sinch","isendpro-sms","cm-telecom","ruach-sms","fcm","apns","expo","one-signal","pushpad","push-webhook","pusher-beams","appio","novu","slack","discord","msteams","webex-messaging","mattermost","ryver","zulip","grafana-on-call","getstream","rocket-chat","whatsapp-business","line","chat-webhook","novu-slack","telegram","sendblue","novu-web-chat","anthropic","novu-anthropic","anthropic-aws","pagerduty","opsgenie","grafana","tool-webhook"],"example":"slack","isRequired":true,"uniqueKey":"providerId.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"providerId","typeLabel":"enum\u003cstring> | null"},"integrationIdentifier":{"oneOf":[{"type":"string","description":"The identifier of the integration to use for this channel endpoint.","example":"slack-prod","isRequired":true,"uniqueKey":"integrationIdentifier.oneOf.0","typeLabel":"string"},{"type":"null","description":"The identifier of the integration to use for this channel endpoint.","example":"slack-prod","isRequired":true,"uniqueKey":"integrationIdentifier.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"integrationIdentifier","typeLabel":"string | null"},"connectionIdentifier":{"oneOf":[{"type":"string","description":"The identifier of the channel connection used for this endpoint.","example":"slack-connection-abc123","isRequired":true,"uniqueKey":"connectionIdentifier.oneOf.0","typeLabel":"string"},{"type":"null","description":"The identifier of the channel connection used for this endpoint.","example":"slack-connection-abc123","isRequired":true,"uniqueKey":"connectionIdentifier.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"connectionIdentifier","typeLabel":"string | null"},"subscriberId":{"oneOf":[{"type":"string","description":"The subscriber ID to which the channel endpoint is linked","example":"subscriber-123","isRequired":true,"uniqueKey":"subscriberId.oneOf.0","typeLabel":"string"},{"type":"null","description":"The subscriber ID to which the channel endpoint is linked","example":"subscriber-123","isRequired":true,"uniqueKey":"subscriberId.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"subscriberId","typeLabel":"string | null"},"contextKeys":{"description":"The context of the channel connection","example":["tenant:org-123","region:us-east-1"],"type":"array","items":{"type":"string","uniqueKey":"contextKeys.items.[INDEX]","typeLabel":"string"},"isRequired":true,"uniqueKey":"contextKeys","typeLabel":"string[]"},"type":{"type":"string","description":"Type of channel endpoint","enum":["slack_channel","slack_user","webhook","phone","ms_teams_channel","ms_teams_user","telegram_chat","webex_room","webex_person","line_user","pagerduty_service","opsgenie_integration","grafana_oncall_integration","tool_webhook"],"example":"slack_channel","isRequired":true,"uniqueKey":"type","typeLabel":"enum\u003cstring>"},"endpoint":{"oneOf":[{"type":"object","description":"Endpoint data specific to the channel type","required":["channelId"],"properties":{"channelId":{"type":"string","description":"Slack channel ID","example":"C123456789","isRequired":true,"uniqueKey":"endpoint.oneOf.0.channelId","typeLabel":"string"}},"isRequired":true,"uniqueKey":"endpoint.oneOf.0","typeLabel":"object"},{"type":"object","description":"Endpoint data specific to the channel type","required":["userId"],"properties":{"userId":{"type":"string","description":"Slack user ID","example":"U123456789","isRequired":true,"uniqueKey":"endpoint.oneOf.1.userId","typeLabel":"string"}},"isRequired":true,"uniqueKey":"endpoint.oneOf.1","typeLabel":"object"},{"type":"object","description":"Endpoint data specific to the channel type","required":["url"],"properties":{"url":{"type":"string","description":"Webhook URL","example":"https://example.com/webhook","isRequired":true,"uniqueKey":"endpoint.oneOf.2.url","typeLabel":"string"},"channel":{"type":"string","description":"Optional channel identifier","uniqueKey":"endpoint.oneOf.2.channel","typeLabel":"string"}},"isRequired":true,"uniqueKey":"endpoint.oneOf.2","typeLabel":"object"},{"type":"object","description":"Endpoint data specific to the channel type","required":["phoneNumber"],"properties":{"phoneNumber":{"type":"string","description":"Phone number in E.164 format","example":"+1234567890","isRequired":true,"uniqueKey":"endpoint.oneOf.3.phoneNumber","typeLabel":"string"}},"isRequired":true,"uniqueKey":"endpoint.oneOf.3","typeLabel":"object"},{"type":"object","description":"Endpoint data specific to the channel type","required":["teamId","channelId"],"properties":{"teamId":{"type":"string","description":"MS Teams team ID","example":"19:abc123...@thread.tacv2","isRequired":true,"uniqueKey":"endpoint.oneOf.4.teamId","typeLabel":"string"},"channelId":{"type":"string","description":"MS Teams channel ID","example":"19:def456...@thread.tacv2","isRequired":true,"uniqueKey":"endpoint.oneOf.4.channelId","typeLabel":"string"}},"isRequired":true,"uniqueKey":"endpoint.oneOf.4","typeLabel":"object"},{"type":"object","description":"Endpoint data specific to the channel type","required":["userId"],"properties":{"userId":{"type":"string","description":"MS Teams user ID","example":"29:1234567890abcdef","isRequired":true,"uniqueKey":"endpoint.oneOf.5.userId","typeLabel":"string"}},"isRequired":true,"uniqueKey":"endpoint.oneOf.5","typeLabel":"object"},{"type":"object","description":"Endpoint data specific to the channel type","required":["chatId"],"properties":{"chatId":{"type":"string","description":"Telegram chat ID","example":"123456789","isRequired":true,"uniqueKey":"endpoint.oneOf.6.chatId","typeLabel":"string"}},"isRequired":true,"uniqueKey":"endpoint.oneOf.6","typeLabel":"object"},{"type":"object","description":"Endpoint data specific to the channel type","required":["roomId"],"properties":{"roomId":{"type":"string","description":"Webex room ID","example":"Y2lzY29zcGFyazovL3VzL1JPT00v...","isRequired":true,"uniqueKey":"endpoint.oneOf.7.roomId","typeLabel":"string"},"parentId":{"type":"string","description":"Optional Webex parent message ID for threaded replies","example":"Y2lzY29zcGFyazovL3VzL01FU1NBR0Uv...","uniqueKey":"endpoint.oneOf.7.parentId","typeLabel":"string"}},"isRequired":true,"uniqueKey":"endpoint.oneOf.7","typeLabel":"object"},{"type":"object","description":"Endpoint data specific to the channel type","properties":{"personId":{"type":"string","description":"Webex person ID. Provide exactly one of personId or personEmail.","example":"Y2lzY29zcGFyazovL3VzL1BFT1BMRS8...","uniqueKey":"endpoint.oneOf.8.personId","typeLabel":"string"},"personEmail":{"type":"string","description":"Webex person email. Provide exactly one of personId or personEmail.","example":"user@example.com","uniqueKey":"endpoint.oneOf.8.personEmail","typeLabel":"string"}},"isRequired":true,"uniqueKey":"endpoint.oneOf.8","typeLabel":"object"},{"type":"object","description":"Endpoint data specific to the channel type","required":["userId"],"properties":{"userId":{"type":"string","description":"LINE user ID","example":"U1234567890abcdef","isRequired":true,"uniqueKey":"endpoint.oneOf.9.userId","typeLabel":"string"}},"isRequired":true,"uniqueKey":"endpoint.oneOf.9","typeLabel":"object"},{"type":"object","description":"Endpoint data specific to the channel type","required":["routingKey","region"],"properties":{"routingKey":{"type":"string","pattern":"/^[a-zA-Z0-9]{32}$/","description":"PagerDuty Events API v2 integration key (32-character alphanumeric string). Encrypted at rest on the channel endpoint (`endpoint` field).","example":"R0UTINGK3YEXAMPLE000000000000000","minLength":32,"maxLength":32,"isRequired":true,"uniqueKey":"endpoint.oneOf.10.routingKey","typeLabel":"string"},"region":{"type":"string","description":"PagerDuty account region — determines the events API data-center endpoint.","enum":["us","eu"],"example":"us","isRequired":true,"uniqueKey":"endpoint.oneOf.10.region","typeLabel":"enum\u003cstring>"}},"isRequired":true,"uniqueKey":"endpoint.oneOf.10","typeLabel":"object"},{"type":"object","description":"Endpoint data specific to the channel type","required":["apiKey","region"],"properties":{"apiKey":{"type":"string","pattern":"OPSGENIE_API_KEY_PATTERN","description":"Opsgenie API integration key (GenieKey) in UUID format. Encrypted at rest on the channel endpoint (`endpoint` field).","example":"abcdefg-a25a-4652-883c-73703b12345","isRequired":true,"uniqueKey":"endpoint.oneOf.11.apiKey","typeLabel":"string"},"region":{"type":"string","description":"Opsgenie account region that determines the alert API data-center endpoint.","enum":["us","eu"],"example":"us","isRequired":true,"uniqueKey":"endpoint.oneOf.11.region","typeLabel":"enum\u003cstring>"}},"isRequired":true,"uniqueKey":"endpoint.oneOf.11","typeLabel":"object"},{"type":"object","description":"Endpoint data specific to the channel type","required":["url"],"properties":{"url":{"type":"string","pattern":"GRAFANA_ONCALL_WEBHOOK_URL_PATTERN","description":"Grafana IRM/OnCall incoming-webhook (Formatted Webhook) integration URL. The routing secret is embedded in the URL path. Encrypted at rest on the channel endpoint (`endpoint` field).","example":"https://acme.grafana.net/integrations/v1/formatted_webhook/m12xmIjOcgwH74UF8CN4dk0Dh/","isRequired":true,"uniqueKey":"endpoint.oneOf.12.url","typeLabel":"string"},"authToken":{"type":"string","description":"Optional Grafana service account bearer token, required when the integration enforces authenticated ingestion. Encrypted at rest on the channel endpoint (`endpoint` field).","example":"glsa_abc123...","uniqueKey":"endpoint.oneOf.12.authToken","typeLabel":"string"}},"isRequired":true,"uniqueKey":"endpoint.oneOf.12","typeLabel":"object"},{"type":"object","description":"Endpoint data specific to the channel type","required":["url"],"properties":{"url":{"type":"string","description":"Destination webhook URL (often a per-subscriber capability URL). Encrypted at rest on the channel endpoint (`endpoint` field).","example":"https://example.com/tools/incoming","isRequired":true,"uniqueKey":"endpoint.oneOf.13.url","typeLabel":"string"},"headers":{"type":"object","description":"Optional headers (e.g. auth tokens) sent with every request to this webhook. Header values are encrypted at rest on the channel endpoint (`endpoint` field).","example":{"Authorization":"Bearer \u003ctoken>"},"uniqueKey":"endpoint.oneOf.13.headers","typeLabel":"object"},"method":{"type":"string","description":"Optional HTTP method override for this webhook. Defaults to the integration-level method.","enum":["POST","PUT","PATCH"],"example":"POST","uniqueKey":"endpoint.oneOf.13.method","typeLabel":"enum\u003cstring>"}},"isRequired":true,"uniqueKey":"endpoint.oneOf.13","typeLabel":"object"}],"isRequired":true,"uniqueKey":"endpoint","typeLabel":"object"},"createdAt":{"type":"string","description":"The timestamp indicating when the channel endpoint was created, in ISO 8601 format.","isRequired":true,"uniqueKey":"createdAt","typeLabel":"string"},"updatedAt":{"type":"string","description":"The timestamp indicating when the channel endpoint was last updated, in ISO 8601 format.","isRequired":true,"uniqueKey":"updatedAt","typeLabel":"string"}},"required":["identifier","channel","providerId","integrationIdentifier","connectionIdentifier","subscriberId","contextKeys","type","endpoint","createdAt","updatedAt"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"identifier":"\u003cstring>","channel":"in_app","providerId":"slack","integrationIdentifier":"slack-prod","connectionIdentifier":"slack-connection-abc123","subscriberId":"subscriber-123","contextKeys":["tenant:org-123","region:us-east-1"],"type":"slack_channel","endpoint":{"channelId":"C123456789"},"createdAt":"\u003cstring>","updatedAt":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"975fd0c4-9559-41db-9002-96cc41c95df6":{"description":"Bad Request","headers":{"Content-Type":{"required":true,"description":"The MIME type of the response body.","schema":{"type":"string"},"example":"application/json"},"RateLimit-Limit":{"required":false,"description":"The number of requests that the client is permitted to make per second. The actual maximum may differ when burst is enabled.","schema":{"type":"string"},"example":"100"},"RateLimit-Remaining":{"required":false,"description":"The number of requests remaining until the next window.","schema":{"type":"string"},"example":"93"},"RateLimit-Reset":{"required":false,"description":"The remaining seconds until a request of the same cost will be refreshed.","schema":{"type":"string"},"example":"8"},"RateLimit-Policy":{"required":false,"description":"The rate limit policy that was used to evaluate the request.","schema":{"type":"string"},"example":"100;w=1;burst=110;comment=\"token bucket\";category=\"trigger\";cost=\"single\""},"Idempotency-Key":{"required":false,"description":"The idempotency key used to evaluate the request.","schema":{"type":"string"},"example":"8"},"Idempotency-Replay":{"required":false,"description":"Whether the request was a replay of a previous request.","schema":{"type":"string"},"example":"true"}},"content":{"application/json":{"schema":{"type":"object","properties":{"statusCode":{"type":"number","description":"HTTP status code of the error response.","example":404,"isRequired":true,"uniqueKey":"statusCode","typeLabel":"number"},"timestamp":{"type":"string","description":"Timestamp of when the error occurred.","example":"2024-12-12T13:00:00Z","isRequired":true,"uniqueKey":"timestamp","typeLabel":"string"},"path":{"type":"string","description":"The path where the error occurred.","example":"/api/v1/resource","isRequired":true,"uniqueKey":"path","typeLabel":"string"},"message":{"oneOf":[{"type":"string","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.0","typeLabel":"string"},{"type":"null","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.1","typeLabel":"null"},{"type":"number","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.2","typeLabel":"number"},{"type":"boolean","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.3","typeLabel":"boolean"},{"type":"object","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.4","typeLabel":"object"},{"type":"null","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.5","typeLabel":"null"},{"type":"array","items":{"oneOf":[{"type":"string","uniqueKey":"message.oneOf.6.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"message.oneOf.6.items.[INDEX].oneOf.1","typeLabel":"null"},{"type":"number","uniqueKey":"message.oneOf.6.items.[INDEX].oneOf.2","typeLabel":"number"},{"type":"boolean","uniqueKey":"message.oneOf.6.items.[INDEX].oneOf.3","typeLabel":"boolean"},{"type":"object","additionalProperties":true,"uniqueKey":"message.oneOf.6.items.[INDEX].oneOf.4","typeLabel":"object"}],"uniqueKey":"message.oneOf.6.items.[INDEX]","typeLabel":"string | null | number | boolean | object"},"description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.6","typeLabel":"(string | null | number | boolean | object)[]"}],"uniqueKey":"message","typeLabel":"string · null · number · boolean · object · null · (string | null | number | boolean | object)[]"},"ctx":{"type":"object","description":"Optional context object for additional error details.","additionalProperties":true,"example":{"workflowId":"some_wf_id","stepId":"some_wf_id"},"uniqueKey":"ctx","typeLabel":"object"},"errorId":{"type":"string","description":"Optional unique identifier for the error, useful for tracking using Sentry and \n New Relic, only available for 500.","example":"abc123","uniqueKey":"errorId","typeLabel":"string"}},"required":["statusCode","timestamp","path"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"statusCode":404,"timestamp":"2024-12-12T13:00:00Z","path":"/api/v1/resource","message":"xx xx xx ","ctx":{"workflowId":"some_wf_id","stepId":"some_wf_id"},"errorId":"abc123"}}},"exampleType":"generated"}},"exampleType":"generated"},"7112b99e-d224-4dbe-be44-048a6ac152b4":{"description":"Unauthorized","headers":{"Content-Type":{"required":true,"description":"The MIME type of the response body.","schema":{"type":"string"},"example":"application/json"},"RateLimit-Limit":{"required":false,"description":"The number of requests that the client is permitted to make per second. The actual maximum may differ when burst is enabled.","schema":{"type":"string"},"example":"100"},"RateLimit-Remaining":{"required":false,"description":"The number of requests remaining until the next window.","schema":{"type":"string"},"example":"93"},"RateLimit-Reset":{"required":false,"description":"The remaining seconds until a request of the same cost will be refreshed.","schema":{"type":"string"},"example":"8"},"RateLimit-Policy":{"required":false,"description":"The rate limit policy that was used to evaluate the request.","schema":{"type":"string"},"example":"100;w=1;burst=110;comment=\"token bucket\";category=\"trigger\";cost=\"single\""},"Idempotency-Key":{"required":false,"description":"The idempotency key used to evaluate the request.","schema":{"type":"string"},"example":"8"},"Idempotency-Replay":{"required":false,"description":"Whether the request was a replay of a previous request.","schema":{"type":"string"},"example":"true"}},"content":{"application/json":{"schema":{"type":"object","properties":{"statusCode":{"type":"number","description":"HTTP status code of the error response.","example":404,"isRequired":true,"uniqueKey":"statusCode","typeLabel":"number"},"timestamp":{"type":"string","description":"Timestamp of when the error occurred.","example":"2024-12-12T13:00:00Z","isRequired":true,"uniqueKey":"timestamp","typeLabel":"string"},"path":{"type":"string","description":"The path where the error occurred.","example":"/api/v1/resource","isRequired":true,"uniqueKey":"path","typeLabel":"string"},"message":{"oneOf":[{"type":"string","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.0","typeLabel":"string"},{"type":"null","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.1","typeLabel":"null"},{"type":"number","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.2","typeLabel":"number"},{"type":"boolean","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.3","typeLabel":"boolean"},{"type":"object","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.4","typeLabel":"object"},{"type":"null","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.5","typeLabel":"null"},{"type":"array","items":{"oneOf":[{"type":"string","uniqueKey":"message.oneOf.6.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"message.oneOf.6.items.[INDEX].oneOf.1","typeLabel":"null"},{"type":"number","uniqueKey":"message.oneOf.6.items.[INDEX].oneOf.2","typeLabel":"number"},{"type":"boolean","uniqueKey":"message.oneOf.6.items.[INDEX].oneOf.3","typeLabel":"boolean"},{"type":"object","additionalProperties":true,"uniqueKey":"message.oneOf.6.items.[INDEX].oneOf.4","typeLabel":"object"}],"uniqueKey":"message.oneOf.6.items.[INDEX]","typeLabel":"string | null | number | boolean | object"},"description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.6","typeLabel":"(string | null | number | boolean | object)[]"}],"uniqueKey":"message","typeLabel":"string · null · number · boolean · object · null · (string | null | number | boolean | object)[]"},"ctx":{"type":"object","description":"Optional context object for additional error details.","additionalProperties":true,"example":{"workflowId":"some_wf_id","stepId":"some_wf_id"},"uniqueKey":"ctx","typeLabel":"object"},"errorId":{"type":"string","description":"Optional unique identifier for the error, useful for tracking using Sentry and \n New Relic, only available for 500.","example":"abc123","uniqueKey":"errorId","typeLabel":"string"}},"required":["statusCode","timestamp","path"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"statusCode":404,"timestamp":"2024-12-12T13:00:00Z","path":"/api/v1/resource","message":"xx xx xx ","ctx":{"workflowId":"some_wf_id","stepId":"some_wf_id"},"errorId":"abc123"}}},"exampleType":"generated"}},"exampleType":"generated"},"444dfd48-5f0f-4f07-9003-f484ca13b33b":{"description":"Forbidden","headers":{"Content-Type":{"required":true,"description":"The MIME type of the response body.","schema":{"type":"string"},"example":"application/json"},"RateLimit-Limit":{"required":false,"description":"The number of requests that the client is permitted to make per second. The actual maximum may differ when burst is enabled.","schema":{"type":"string"},"example":"100"},"RateLimit-Remaining":{"required":false,"description":"The number of requests remaining until the next window.","schema":{"type":"string"},"example":"93"},"RateLimit-Reset":{"required":false,"description":"The remaining seconds until a request of the same cost will be refreshed.","schema":{"type":"string"},"example":"8"},"RateLimit-Policy":{"required":false,"description":"The rate limit policy that was used to evaluate the request.","schema":{"type":"string"},"example":"100;w=1;burst=110;comment=\"token bucket\";category=\"trigger\";cost=\"single\""},"Idempotency-Key":{"required":false,"description":"The idempotency key used to evaluate the request.","schema":{"type":"string"},"example":"8"},"Idempotency-Replay":{"required":false,"description":"Whether the request was a replay of a previous request.","schema":{"type":"string"},"example":"true"}},"content":{"application/json":{"schema":{"type":"object","properties":{"statusCode":{"type":"number","description":"HTTP status code of the error response.","example":404,"isRequired":true,"uniqueKey":"statusCode","typeLabel":"number"},"timestamp":{"type":"string","description":"Timestamp of when the error occurred.","example":"2024-12-12T13:00:00Z","isRequired":true,"uniqueKey":"timestamp","typeLabel":"string"},"path":{"type":"string","description":"The path where the error occurred.","example":"/api/v1/resource","isRequired":true,"uniqueKey":"path","typeLabel":"string"},"message":{"oneOf":[{"type":"string","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.0","typeLabel":"string"},{"type":"null","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.1","typeLabel":"null"},{"type":"number","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.2","typeLabel":"number"},{"type":"boolean","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.3","typeLabel":"boolean"},{"type":"object","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.4","typeLabel":"object"},{"type":"null","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.5","typeLabel":"null"},{"type":"array","items":{"oneOf":[{"type":"string","uniqueKey":"message.oneOf.6.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"message.oneOf.6.items.[INDEX].oneOf.1","typeLabel":"null"},{"type":"number","uniqueKey":"message.oneOf.6.items.[INDEX].oneOf.2","typeLabel":"number"},{"type":"boolean","uniqueKey":"message.oneOf.6.items.[INDEX].oneOf.3","typeLabel":"boolean"},{"type":"object","additionalProperties":true,"uniqueKey":"message.oneOf.6.items.[INDEX].oneOf.4","typeLabel":"object"}],"uniqueKey":"message.oneOf.6.items.[INDEX]","typeLabel":"string | null | number | boolean | object"},"description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.6","typeLabel":"(string | null | number | boolean | object)[]"}],"uniqueKey":"message","typeLabel":"string · null · number · boolean · object · null · (string | null | number | boolean | object)[]"},"ctx":{"type":"object","description":"Optional context object for additional error details.","additionalProperties":true,"example":{"workflowId":"some_wf_id","stepId":"some_wf_id"},"uniqueKey":"ctx","typeLabel":"object"},"errorId":{"type":"string","description":"Optional unique identifier for the error, useful for tracking using Sentry and \n New Relic, only available for 500.","example":"abc123","uniqueKey":"errorId","typeLabel":"string"}},"required":["statusCode","timestamp","path"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"statusCode":404,"timestamp":"2024-12-12T13:00:00Z","path":"/api/v1/resource","message":"xx xx xx ","ctx":{"workflowId":"some_wf_id","stepId":"some_wf_id"},"errorId":"abc123"}}},"exampleType":"generated"}},"exampleType":"generated"},"e93cfb9e-1b36-4861-9bc3-61097090a3e6":{"description":"Not Found","headers":{"Content-Type":{"required":true,"description":"The MIME type of the response body.","schema":{"type":"string"},"example":"application/json"},"RateLimit-Limit":{"required":false,"description":"The number of requests that the client is permitted to make per second. The actual maximum may differ when burst is enabled.","schema":{"type":"string"},"example":"100"},"RateLimit-Remaining":{"required":false,"description":"The number of requests remaining until the next window.","schema":{"type":"string"},"example":"93"},"RateLimit-Reset":{"required":false,"description":"The remaining seconds until a request of the same cost will be refreshed.","schema":{"type":"string"},"example":"8"},"RateLimit-Policy":{"required":false,"description":"The rate limit policy that was used to evaluate the request.","schema":{"type":"string"},"example":"100;w=1;burst=110;comment=\"token bucket\";category=\"trigger\";cost=\"single\""},"Idempotency-Key":{"required":false,"description":"The idempotency key used to evaluate the request.","schema":{"type":"string"},"example":"8"},"Idempotency-Replay":{"required":false,"description":"Whether the request was a replay of a previous request.","schema":{"type":"string"},"example":"true"}},"content":{"application/json":{"schema":{"type":"object","properties":{"statusCode":{"type":"number","description":"HTTP status code of the error response.","example":404,"isRequired":true,"uniqueKey":"statusCode","typeLabel":"number"},"timestamp":{"type":"string","description":"Timestamp of when the error occurred.","example":"2024-12-12T13:00:00Z","isRequired":true,"uniqueKey":"timestamp","typeLabel":"string"},"path":{"type":"string","description":"The path where the error occurred.","example":"/api/v1/resource","isRequired":true,"uniqueKey":"path","typeLabel":"string"},"message":{"oneOf":[{"type":"string","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.0","typeLabel":"string"},{"type":"null","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.1","typeLabel":"null"},{"type":"number","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.2","typeLabel":"number"},{"type":"boolean","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.3","typeLabel":"boolean"},{"type":"object","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.4","typeLabel":"object"},{"type":"null","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.5","typeLabel":"null"},{"type":"array","items":{"oneOf":[{"type":"string","uniqueKey":"message.oneOf.6.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"message.oneOf.6.items.[INDEX].oneOf.1","typeLabel":"null"},{"type":"number","uniqueKey":"message.oneOf.6.items.[INDEX].oneOf.2","typeLabel":"number"},{"type":"boolean","uniqueKey":"message.oneOf.6.items.[INDEX].oneOf.3","typeLabel":"boolean"},{"type":"object","additionalProperties":true,"uniqueKey":"message.oneOf.6.items.[INDEX].oneOf.4","typeLabel":"object"}],"uniqueKey":"message.oneOf.6.items.[INDEX]","typeLabel":"string | null | number | boolean | object"},"description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.6","typeLabel":"(string | null | number | boolean | object)[]"}],"uniqueKey":"message","typeLabel":"string · null · number · boolean · object · null · (string | null | number | boolean | object)[]"},"ctx":{"type":"object","description":"Optional context object for additional error details.","additionalProperties":true,"example":{"workflowId":"some_wf_id","stepId":"some_wf_id"},"uniqueKey":"ctx","typeLabel":"object"},"errorId":{"type":"string","description":"Optional unique identifier for the error, useful for tracking using Sentry and \n New Relic, only available for 500.","example":"abc123","uniqueKey":"errorId","typeLabel":"string"}},"required":["statusCode","timestamp","path"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"statusCode":404,"timestamp":"2024-12-12T13:00:00Z","path":"/api/v1/resource","message":"xx xx xx ","ctx":{"workflowId":"some_wf_id","stepId":"some_wf_id"},"errorId":"abc123"}}},"exampleType":"generated"}},"exampleType":"generated"},"4ced8816-af56-4f7c-bf49-ea98818c25da":{"description":"Method Not Allowed","headers":{"Content-Type":{"required":true,"description":"The MIME type of the response body.","schema":{"type":"string"},"example":"application/json"},"RateLimit-Limit":{"required":false,"description":"The number of requests that the client is permitted to make per second. The actual maximum may differ when burst is enabled.","schema":{"type":"string"},"example":"100"},"RateLimit-Remaining":{"required":false,"description":"The number of requests remaining until the next window.","schema":{"type":"string"},"example":"93"},"RateLimit-Reset":{"required":false,"description":"The remaining seconds until a request of the same cost will be refreshed.","schema":{"type":"string"},"example":"8"},"RateLimit-Policy":{"required":false,"description":"The rate limit policy that was used to evaluate the request.","schema":{"type":"string"},"example":"100;w=1;burst=110;comment=\"token bucket\";category=\"trigger\";cost=\"single\""},"Idempotency-Key":{"required":false,"description":"The idempotency key used to evaluate the request.","schema":{"type":"string"},"example":"8"},"Idempotency-Replay":{"required":false,"description":"Whether the request was a replay of a previous request.","schema":{"type":"string"},"example":"true"}},"content":{"application/json":{"schema":{"type":"object","properties":{"statusCode":{"type":"number","description":"HTTP status code of the error response.","example":404,"isRequired":true,"uniqueKey":"statusCode","typeLabel":"number"},"timestamp":{"type":"string","description":"Timestamp of when the error occurred.","example":"2024-12-12T13:00:00Z","isRequired":true,"uniqueKey":"timestamp","typeLabel":"string"},"path":{"type":"string","description":"The path where the error occurred.","example":"/api/v1/resource","isRequired":true,"uniqueKey":"path","typeLabel":"string"},"message":{"oneOf":[{"type":"string","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.0","typeLabel":"string"},{"type":"null","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.1","typeLabel":"null"},{"type":"number","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.2","typeLabel":"number"},{"type":"boolean","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.3","typeLabel":"boolean"},{"type":"object","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.4","typeLabel":"object"},{"type":"null","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.5","typeLabel":"null"},{"type":"array","items":{"oneOf":[{"type":"string","uniqueKey":"message.oneOf.6.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"message.oneOf.6.items.[INDEX].oneOf.1","typeLabel":"null"},{"type":"number","uniqueKey":"message.oneOf.6.items.[INDEX].oneOf.2","typeLabel":"number"},{"type":"boolean","uniqueKey":"message.oneOf.6.items.[INDEX].oneOf.3","typeLabel":"boolean"},{"type":"object","additionalProperties":true,"uniqueKey":"message.oneOf.6.items.[INDEX].oneOf.4","typeLabel":"object"}],"uniqueKey":"message.oneOf.6.items.[INDEX]","typeLabel":"string | null | number | boolean | object"},"description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.6","typeLabel":"(string | null | number | boolean | object)[]"}],"uniqueKey":"message","typeLabel":"string · null · number · boolean · object · null · (string | null | number | boolean | object)[]"},"ctx":{"type":"object","description":"Optional context object for additional error details.","additionalProperties":true,"example":{"workflowId":"some_wf_id","stepId":"some_wf_id"},"uniqueKey":"ctx","typeLabel":"object"},"errorId":{"type":"string","description":"Optional unique identifier for the error, useful for tracking using Sentry and \n New Relic, only available for 500.","example":"abc123","uniqueKey":"errorId","typeLabel":"string"}},"required":["statusCode","timestamp","path"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"statusCode":404,"timestamp":"2024-12-12T13:00:00Z","path":"/api/v1/resource","message":"xx xx xx ","ctx":{"workflowId":"some_wf_id","stepId":"some_wf_id"},"errorId":"abc123"}}},"exampleType":"generated"}},"exampleType":"generated"},"cb40695c-344d-478d-9814-a62eb64ff170":{"description":"Conflict","headers":{"Content-Type":{"required":true,"description":"The MIME type of the response body.","schema":{"type":"string"},"example":"application/json"},"RateLimit-Limit":{"required":false,"description":"The number of requests that the client is permitted to make per second. The actual maximum may differ when burst is enabled.","schema":{"type":"string"},"example":"100"},"RateLimit-Remaining":{"required":false,"description":"The number of requests remaining until the next window.","schema":{"type":"string"},"example":"93"},"RateLimit-Reset":{"required":false,"description":"The remaining seconds until a request of the same cost will be refreshed.","schema":{"type":"string"},"example":"8"},"RateLimit-Policy":{"required":false,"description":"The rate limit policy that was used to evaluate the request.","schema":{"type":"string"},"example":"100;w=1;burst=110;comment=\"token bucket\";category=\"trigger\";cost=\"single\""},"Idempotency-Key":{"required":false,"description":"The idempotency key used to evaluate the request.","schema":{"type":"string"},"example":"8"},"Idempotency-Replay":{"required":false,"description":"Whether the request was a replay of a previous request.","schema":{"type":"string"},"example":"true"}},"content":{"application/json":{"schema":{"type":"object","properties":{"statusCode":{"type":"number","description":"HTTP status code of the error response.","example":404,"isRequired":true,"uniqueKey":"statusCode","typeLabel":"number"},"timestamp":{"type":"string","description":"Timestamp of when the error occurred.","example":"2024-12-12T13:00:00Z","isRequired":true,"uniqueKey":"timestamp","typeLabel":"string"},"path":{"type":"string","description":"The path where the error occurred.","example":"/api/v1/resource","isRequired":true,"uniqueKey":"path","typeLabel":"string"},"message":{"oneOf":[{"type":"string","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.0","typeLabel":"string"},{"type":"null","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.1","typeLabel":"null"},{"type":"number","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.2","typeLabel":"number"},{"type":"boolean","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.3","typeLabel":"boolean"},{"type":"object","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.4","typeLabel":"object"},{"type":"null","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.5","typeLabel":"null"},{"type":"array","items":{"oneOf":[{"type":"string","uniqueKey":"message.oneOf.6.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"message.oneOf.6.items.[INDEX].oneOf.1","typeLabel":"null"},{"type":"number","uniqueKey":"message.oneOf.6.items.[INDEX].oneOf.2","typeLabel":"number"},{"type":"boolean","uniqueKey":"message.oneOf.6.items.[INDEX].oneOf.3","typeLabel":"boolean"},{"type":"object","additionalProperties":true,"uniqueKey":"message.oneOf.6.items.[INDEX].oneOf.4","typeLabel":"object"}],"uniqueKey":"message.oneOf.6.items.[INDEX]","typeLabel":"string | null | number | boolean | object"},"description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.6","typeLabel":"(string | null | number | boolean | object)[]"}],"uniqueKey":"message","typeLabel":"string · null · number · boolean · object · null · (string | null | number | boolean | object)[]"},"ctx":{"type":"object","description":"Optional context object for additional error details.","additionalProperties":true,"example":{"workflowId":"some_wf_id","stepId":"some_wf_id"},"uniqueKey":"ctx","typeLabel":"object"},"errorId":{"type":"string","description":"Optional unique identifier for the error, useful for tracking using Sentry and \n New Relic, only available for 500.","example":"abc123","uniqueKey":"errorId","typeLabel":"string"}},"required":["statusCode","timestamp","path"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"statusCode":404,"timestamp":"2024-12-12T13:00:00Z","path":"/api/v1/resource","message":"xx xx xx ","ctx":{"workflowId":"some_wf_id","stepId":"some_wf_id"},"errorId":"abc123"}}},"exampleType":"generated"}},"exampleType":"generated"},"c00df5b2-a58d-4083-8567-1ce79a414b8a":{"description":"Payload Too Large","headers":{"Content-Type":{"required":true,"description":"The MIME type of the response body.","schema":{"type":"string"},"example":"application/json"},"RateLimit-Limit":{"required":false,"description":"The number of requests that the client is permitted to make per second. The actual maximum may differ when burst is enabled.","schema":{"type":"string"},"example":"100"},"RateLimit-Remaining":{"required":false,"description":"The number of requests remaining until the next window.","schema":{"type":"string"},"example":"93"},"RateLimit-Reset":{"required":false,"description":"The remaining seconds until a request of the same cost will be refreshed.","schema":{"type":"string"},"example":"8"},"RateLimit-Policy":{"required":false,"description":"The rate limit policy that was used to evaluate the request.","schema":{"type":"string"},"example":"100;w=1;burst=110;comment=\"token bucket\";category=\"trigger\";cost=\"single\""},"Idempotency-Key":{"required":false,"description":"The idempotency key used to evaluate the request.","schema":{"type":"string"},"example":"8"},"Idempotency-Replay":{"required":false,"description":"Whether the request was a replay of a previous request.","schema":{"type":"string"},"example":"true"}},"content":{"application/json":{"schema":{"type":"object","properties":{"statusCode":{"type":"number","description":"HTTP status code of the error response.","example":404,"isRequired":true,"uniqueKey":"statusCode","typeLabel":"number"},"timestamp":{"type":"string","description":"Timestamp of when the error occurred.","example":"2024-12-12T13:00:00Z","isRequired":true,"uniqueKey":"timestamp","typeLabel":"string"},"path":{"type":"string","description":"The path where the error occurred.","example":"/api/v1/resource","isRequired":true,"uniqueKey":"path","typeLabel":"string"},"message":{"oneOf":[{"type":"string","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.0","typeLabel":"string"},{"type":"null","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.1","typeLabel":"null"},{"type":"number","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.2","typeLabel":"number"},{"type":"boolean","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.3","typeLabel":"boolean"},{"type":"object","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.4","typeLabel":"object"},{"type":"null","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.5","typeLabel":"null"},{"type":"array","items":{"oneOf":[{"type":"string","uniqueKey":"message.oneOf.6.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"message.oneOf.6.items.[INDEX].oneOf.1","typeLabel":"null"},{"type":"number","uniqueKey":"message.oneOf.6.items.[INDEX].oneOf.2","typeLabel":"number"},{"type":"boolean","uniqueKey":"message.oneOf.6.items.[INDEX].oneOf.3","typeLabel":"boolean"},{"type":"object","additionalProperties":true,"uniqueKey":"message.oneOf.6.items.[INDEX].oneOf.4","typeLabel":"object"}],"uniqueKey":"message.oneOf.6.items.[INDEX]","typeLabel":"string | null | number | boolean | object"},"description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.6","typeLabel":"(string | null | number | boolean | object)[]"}],"uniqueKey":"message","typeLabel":"string · null · number · boolean · object · null · (string | null | number | boolean | object)[]"},"ctx":{"type":"object","description":"Optional context object for additional error details.","additionalProperties":true,"example":{"workflowId":"some_wf_id","stepId":"some_wf_id"},"uniqueKey":"ctx","typeLabel":"object"},"errorId":{"type":"string","description":"Optional unique identifier for the error, useful for tracking using Sentry and \n New Relic, only available for 500.","example":"abc123","uniqueKey":"errorId","typeLabel":"string"}},"required":["statusCode","timestamp","path"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"statusCode":404,"timestamp":"2024-12-12T13:00:00Z","path":"/api/v1/resource","message":"xx xx xx ","ctx":{"workflowId":"some_wf_id","stepId":"some_wf_id"},"errorId":"abc123"}}},"exampleType":"generated"}},"exampleType":"generated"},"95c8fc31-865c-4b94-8f98-8014dabc1881":{"description":"URI Too Long","content":{"application/json":{"schema":{"type":"object","properties":{"statusCode":{"type":"number","description":"HTTP status code of the error response.","example":404,"isRequired":true,"uniqueKey":"statusCode","typeLabel":"number"},"timestamp":{"type":"string","description":"Timestamp of when the error occurred.","example":"2024-12-12T13:00:00Z","isRequired":true,"uniqueKey":"timestamp","typeLabel":"string"},"path":{"type":"string","description":"The path where the error occurred.","example":"/api/v1/resource","isRequired":true,"uniqueKey":"path","typeLabel":"string"},"message":{"oneOf":[{"type":"string","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.0","typeLabel":"string"},{"type":"null","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.1","typeLabel":"null"},{"type":"number","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.2","typeLabel":"number"},{"type":"boolean","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.3","typeLabel":"boolean"},{"type":"object","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.4","typeLabel":"object"},{"type":"null","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.5","typeLabel":"null"},{"type":"array","items":{"oneOf":[{"type":"string","uniqueKey":"message.oneOf.6.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"message.oneOf.6.items.[INDEX].oneOf.1","typeLabel":"null"},{"type":"number","uniqueKey":"message.oneOf.6.items.[INDEX].oneOf.2","typeLabel":"number"},{"type":"boolean","uniqueKey":"message.oneOf.6.items.[INDEX].oneOf.3","typeLabel":"boolean"},{"type":"object","additionalProperties":true,"uniqueKey":"message.oneOf.6.items.[INDEX].oneOf.4","typeLabel":"object"}],"uniqueKey":"message.oneOf.6.items.[INDEX]","typeLabel":"string | null | number | boolean | object"},"description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.6","typeLabel":"(string | null | number | boolean | object)[]"}],"uniqueKey":"message","typeLabel":"string · null · number · boolean · object · null · (string | null | number | boolean | object)[]"},"ctx":{"type":"object","description":"Optional context object for additional error details.","additionalProperties":true,"example":{"workflowId":"some_wf_id","stepId":"some_wf_id"},"uniqueKey":"ctx","typeLabel":"object"},"errorId":{"type":"string","description":"Optional unique identifier for the error, useful for tracking using Sentry and \n New Relic, only available for 500.","example":"abc123","uniqueKey":"errorId","typeLabel":"string"}},"required":["statusCode","timestamp","path"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"statusCode":404,"timestamp":"2024-12-12T13:00:00Z","path":"/api/v1/resource","message":"xx xx xx ","ctx":{"workflowId":"some_wf_id","stepId":"some_wf_id"},"errorId":"abc123"}}},"exampleType":"generated"}},"exampleType":"generated"},"a8f5dd12-abe2-4509-914e-d7f480302605":{"description":"Unsupported Media Type","headers":{"Content-Type":{"required":true,"description":"The MIME type of the response body.","schema":{"type":"string"},"example":"application/json"},"RateLimit-Limit":{"required":false,"description":"The number of requests that the client is permitted to make per second. The actual maximum may differ when burst is enabled.","schema":{"type":"string"},"example":"100"},"RateLimit-Remaining":{"required":false,"description":"The number of requests remaining until the next window.","schema":{"type":"string"},"example":"93"},"RateLimit-Reset":{"required":false,"description":"The remaining seconds until a request of the same cost will be refreshed.","schema":{"type":"string"},"example":"8"},"RateLimit-Policy":{"required":false,"description":"The rate limit policy that was used to evaluate the request.","schema":{"type":"string"},"example":"100;w=1;burst=110;comment=\"token bucket\";category=\"trigger\";cost=\"single\""},"Idempotency-Key":{"required":false,"description":"The idempotency key used to evaluate the request.","schema":{"type":"string"},"example":"8"},"Idempotency-Replay":{"required":false,"description":"Whether the request was a replay of a previous request.","schema":{"type":"string"},"example":"true"}},"content":{"application/json":{"schema":{"type":"object","properties":{"statusCode":{"type":"number","description":"HTTP status code of the error response.","example":404,"isRequired":true,"uniqueKey":"statusCode","typeLabel":"number"},"timestamp":{"type":"string","description":"Timestamp of when the error occurred.","example":"2024-12-12T13:00:00Z","isRequired":true,"uniqueKey":"timestamp","typeLabel":"string"},"path":{"type":"string","description":"The path where the error occurred.","example":"/api/v1/resource","isRequired":true,"uniqueKey":"path","typeLabel":"string"},"message":{"oneOf":[{"type":"string","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.0","typeLabel":"string"},{"type":"null","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.1","typeLabel":"null"},{"type":"number","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.2","typeLabel":"number"},{"type":"boolean","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.3","typeLabel":"boolean"},{"type":"object","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.4","typeLabel":"object"},{"type":"null","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.5","typeLabel":"null"},{"type":"array","items":{"oneOf":[{"type":"string","uniqueKey":"message.oneOf.6.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"message.oneOf.6.items.[INDEX].oneOf.1","typeLabel":"null"},{"type":"number","uniqueKey":"message.oneOf.6.items.[INDEX].oneOf.2","typeLabel":"number"},{"type":"boolean","uniqueKey":"message.oneOf.6.items.[INDEX].oneOf.3","typeLabel":"boolean"},{"type":"object","additionalProperties":true,"uniqueKey":"message.oneOf.6.items.[INDEX].oneOf.4","typeLabel":"object"}],"uniqueKey":"message.oneOf.6.items.[INDEX]","typeLabel":"string | null | number | boolean | object"},"description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"message.oneOf.6","typeLabel":"(string | null | number | boolean | object)[]"}],"uniqueKey":"message","typeLabel":"string · null · number · boolean · object · null · (string | null | number | boolean | object)[]"},"ctx":{"type":"object","description":"Optional context object for additional error details.","additionalProperties":true,"example":{"workflowId":"some_wf_id","stepId":"some_wf_id"},"uniqueKey":"ctx","typeLabel":"object"},"errorId":{"type":"string","description":"Optional unique identifier for the error, useful for tracking using Sentry and \n New Relic, only available for 500.","example":"abc123","uniqueKey":"errorId","typeLabel":"string"}},"required":["statusCode","timestamp","path"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"statusCode":404,"timestamp":"2024-12-12T13:00:00Z","path":"/api/v1/resource","message":"xx xx xx ","ctx":{"workflowId":"some_wf_id","stepId":"some_wf_id"},"errorId":"abc123"}}},"exampleType":"generated"}},"exampleType":"generated"},"4c389a7d-8b91-45a8-9468-329c6282deae":{"description":"Unprocessable Entity","headers":{"Content-Type":{"required":true,"description":"The MIME type of the response body.","schema":{"type":"string"},"example":"application/json"},"RateLimit-Limit":{"required":false,"description":"The number of requests that the client is permitted to make per second. The actual maximum may differ when burst is enabled.","schema":{"type":"string"},"example":"100"},"RateLimit-Remaining":{"required":false,"description":"The number of requests remaining until the next window.","schema":{"type":"string"},"example":"93"},"RateLimit-Reset":{"required":false,"description":"The remaining seconds until a request of the same cost will be refreshed.","schema":{"type":"string"},"example":"8"},"RateLimit-Policy":{"required":false,"description":"The rate limit policy that was used to evaluate the request.","schema":{"type":"string"},"example":"100;w=1;burst=110;comment=\"token bucket\";category=\"trigger\";cost=\"single\""},"Idempotency-Key":{"required":false,"description":"The idempotency key used to evaluate the request.","schema":{"type":"string"},"example":"8"},"Idempotency-Replay":{"required":false,"description":"Whether the request was a replay of a previous request.","schema":{"type":"string"},"example":"true"}},"content":{"application/json":{"schema":{"type":"object","properties":{"statusCode":{"type":"number","description":"HTTP status code of the error response.","example":404,"isRequired":true,"uniqueKey":"statusCode","typeLabel":"number"},"timestamp":{"type":"string","description":"Timestamp of when the error occurred.","example":"2024-12-12T13:00:00Z","isRequired":true,"uniqueKey":"timestamp","typeLabel":"string"},"path":{"type":"string","description":"The path where the error occurred.","example":"/api/v1/resource","isRequired":true,"uniqueKey":"path","typeLabel":"string"},"errors":{"type":"object","description":"A record of validation errors keyed by field name","additionalProperties":{"type":"object","properties":{"messages":{"type":"array","items":{"type":"string","uniqueKey":"errors.additionalProperties.messages.items.[INDEX]","typeLabel":"string"},"description":"List of validation error messages","example":["Field is required","Invalid format"],"isRequired":true,"uniqueKey":"errors.additionalProperties.messages","typeLabel":"string[]"},"value":{"oneOf":[{"type":"string","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"errors.additionalProperties.value.oneOf.0","typeLabel":"string"},{"type":"null","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"errors.additionalProperties.value.oneOf.1","typeLabel":"null"},{"type":"number","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"errors.additionalProperties.value.oneOf.2","typeLabel":"number"},{"type":"boolean","description":"Value that failed validation","example":"xx xx xx ","uniqueKey":"errors.additionalProperties.value.oneOf
[...]
